`<fLib>` | (Feature library) assembles library of feature elements.
Attributes: |
`type` | indicates type of feature library (i.e., what kind of features it contains).
| Datatype: CDATA
| Values: Character string, e.g. word features.
| Default: #IMPLIED

Example

    <fLib type='agreement features'>
      <f name=person id=P1 fVal='sfirst'></f>
      <f name=person id=P2 fVal='ssecond'></f>
    <!-- ... -->
      <f name=number id=Ns fVal='ssing'></f>
      <f name=number id=Np fVal='splur'></f>
    <!-- ... -->
      </fLib>

Note

The entity %fFamily; is used for "f | fAlt" in FS3.dtd.

Tagset additional tag set for feature structures
Class metadata [and indirectly also:] globincl
Filename `teifs2`
Content: Zero or more features or alternations of features.
Parents[none]
Children f fAlt
Declaration

    <!ELEMENT fLib          - -  ((f | fAlt)*)                      >
    <!ATTLIST fLib               %a.global
              type               CDATA               #IMPLIED       >

See 16.3

Back to index